FROM registry.yaltik.net/odoocmd:yaltik
MAINTAINER Yaltik - Fabien Bourgeois <fabien@yaltik.com>

ENV ODOO_ADMIN_PASSWORD admin
ENV ODOO_DATABASES demo

WORKDIR /home/odoo
USER root

RUN mkdir backups
RUN apt-get install -y --no-install-recommends cron gettext-base

COPY crontab /etc/crontab
RUN chmod 644 /etc/crontab
RUN touch /var/log/cron.log

COPY backup.template .
COPY plan.py .
COPY launch.sh .

RUN chown -R odoo:odoo . && chown odoo:odoo /var/log/cron.log
VOLUME /home/odoo/backups

CMD bash launch.sh
